
Figure - Bug #117415
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】【偶现一次】进入抖音小窗搜索页面，拖动小窗至mini模式，单击Mini小窗，
抖音变为正常小窗后设备卡死，一分钟后重启
2023-04-12 16:13 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-12

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 应该是在updateFreeformStatus切换到Mini态时先拿到了mGlobalLock锁,但是紧接着又调用ATMS#resizeTask方法,这个方法也会去申请mGlobalLock锁,但是updateFreeformStatus方法还没有执行完,锁没有释放,导致resizeTask拿不到锁一直在等待,导致android.anim挂了,设备重启

Description

【测试步骤】

1进入抖音小窗搜索页面

2、拖动小窗至mini模式

3、单击Mini小窗

【预期结果】

3、抖音变为正常小窗

【实际结果】

3、抖音变为正常小窗后设备卡死，一分钟后重启

History

#1 - 2023-04-12 16:14 - CD TEST-方永红

- Reproducibility changed from Every time to Rarely

#2 - 2023-04-12 17:16 - CD FW-鲁凯峰

■ Current conclusion

■ My analysis

从trace信息看

  at com.android.server.wm.ActivityClientController.updateFreeformStatus(ActivityClientController.java:1008)

  - locked <0x098eed5e> (a com.android.server.wm.WindowManagerGlobalLock)

应该是在updateFreeformStatus切换到Mini态时先拿到了mGlobalLock锁,但是紧接着又调用ATMS#resizeTask方法,这个方法也会去申请mGlobalLock锁,但

是updateFreeformStatus方法还没有执行完,锁没有释放,导致resizeTask拿不到锁一直在等待,导致android.anim挂了,设备重启

04-11 05:25:42.410  1545  1638 W Watchdog: *** WATCHDOG KILLING SYSTEM PROCESS: Blocked in monitor com.android.server.am.ActivityManagerService on

foreground thread (android.fg), Blocked in handler on ui thread (android.ui), Blocked in handler on display thread (android.display), Blocked in handler on animation

thread (android.anim), Blocked in handler on surface animation thread (android.anim.lf)

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/193267
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/193267


#3 - 2023-04-12 20:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193267 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix rebootavoid to use ATMS#resize to hold WindowManagerGlobalLock andcaused rebootTC-RID: 1201-0204601IssueID:

TS-R-BUG-117415Change-Id: I56f1477f6844914d9b09513bc738067e5a8a6883

#4 - 2023-04-12 20:41 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 应该是在updateFreeformStatus切换到Mini态时先拿到了mGlobalLock锁,但是紧接着又调用ATMS#resizeTask方法,这个方法也会去申

请mGlobalLock锁,但是updateFreeformStatus方法还没有执行完,锁没有释放,导致resizeTask拿不到锁一直在等待,导致android.anim挂了,设备重启

#5 - 2023-04-13 19:24 - CD TEST-方永红

4.13

0091版本未复现

继续跟踪两个版本

#6 - 2023-04-18 18:03 - CD TEST-方永红

4.18

待117475解决后一起关闭

#7 - 2023-04-28 17:54 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

4.28

验证通过

#8 - 2023-04-28 17:54 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

1450.txt 4.92 MB 2023-04-12 CD TEST-方永红

Phone-STS40X190078 2023-04-12 14-52-41.mp4 15.1 MB 2023-04-12 CD TEST-方永红
